
//Table 2
use "bank_announcement.dta", clear
regress er1dw_world
regress er3dw_world
regress er5dw_world

regress bankcds1dw_sen
regress bankcds3dw_sen
regress bankcds5dw_sen

use "country_announcement.dta", clear

regress sovcds1dw
regress sovcds3dw
regress sovcds5dw


//Table 3
//Panel A
use "bank_announcement.dta", clear

sum er5dw_world exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu govdebt giips_location if er5dw_world !=. & exp_all !=.
pwcorr er5dw_world exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu govdebt giips_location if er5dw_world !=. & exp_all !=., sig

//Panel B
sum bankcds5dw_sen exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu giips_location if bankcds5dw_sen !=. & exp_all !=.
pwcorr bankcds5dw_sen exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu giips_location if bankcds5dw_sen !=. & exp_all !=., sig

//Panel C
use "country_announcement.dta", clear

sum sovcds5dw exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu giips_location if sovcds5dw !=. & exp_all !=.
pwcorr sovcds5dw exp_all exp_giips exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu giips_location if sovcds5dw !=. & exp_all !=., sig




//Table 4
use "bank_announcement.dta", clear

//Regression 1
regress er5dw_world exp_all giips_loc, cluster(location)

//Regression 2
regress er5dw_world giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 3
regress er5dw_world giips_location exp_giips exp_nongiipsemu exp_nonemu govdebt, cluster(location)

//Regression 4
regress er5dw_world giips_location exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 5
bootstrap, reps(1000): regress er5dw_world exp_all giips_loc, cluster(location)

//Regression 6
bootstrap, reps(1000): regress er5dw_world giips_location exp_giips exp_nongiipsemu exp_nonemu govdebt, cluster(location)

//Regression 7
regress er5dw_eur exp_all giips_loc, cluster(location)

//Regression 8
regress er5dw_eur giips_location exp_giips exp_nongiipsemu exp_nonemu govdebt, cluster(location)

//Regression 9
regress er5dw_dom exp_all giips_loc, cluster(location)

//Regression 10
regress er5dw_dom giips_location exp_giips exp_nongiipsemu exp_nonemu govdebt, cluster(location)

//Regression 11
regress er5dw_world exp_all_b giips_loc, cluster(location)

//Regression 12
regress er5dw_world giips_location exp_giips_b exp_nongiipsemu_b exp_nonemu_b govdebt, cluster(location)



//Table 5
use "bank_announcement.dta", clear

//Regression 1
regress bankcds5dw_sen exp_all giips_loc, cluster(location)

//Regression 2
regress bankcds5dw_sen giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 3
regress bankcds5dw_sen exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 4
regress bankcds5dw_sen  exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 5
bootstrap, reps(1000): regress bankcds5dw_sen exp_all giips_loc, cluster(location)

//Regression 6
bootstrap, reps(1000): regress bankcds5dw_sen giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 7
regress bankcds5dw_sub exp_all giips_loc, cluster(location)

//Regression 8
regress bankcds5dw_sub giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 11
regress bankcds5dw_sen exp_all_b giips_loc, cluster(location)

//Regression 12
regress bankcds5dw_sen giips_location exp_giips_b exp_nongiipsemu_b exp_nonemu_b, cluster(location)



//Table 6
use "country_announcement.dta", clear

//Regression 1
regress sovcds5dw exp_all giips_location

//Regression 2
regress sovcds5dw giips_location exp_giips exp_nongiipsemu exp_nonemu

//Regression 3
regress sovcds5dw exp_giips exp_nongiipsemu exp_nonemu

//Regression 4
regress sovcds5dw giips_location exp_giipsdom exp_giipsforeign exp_nongiipsemu exp_nonemu

//Regression 5
bootstrap, reps(1000): regress sovcds5dw exp_all giips_location

//Regression 6
bootstrap, reps(1000): regress sovcds5dw giips_location exp_giips exp_nongiipsemu exp_nonemu

//Regression 7
bootstrap, reps(1000): regress sovcds5dw exp_giips exp_nongiipsemu exp_nonemu





//Table 7
use "bank_enlargement.dta", clear

//Regression 1
regress er5dw_world exp_all giips_loc, cluster(location)

//Regression 2
regress er5dw_world giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

//Regression 3
regress er5dw_world giips_location exp_giips exp_nongiipsemu exp_nonemu govdebt, cluster(location)

//Regression 4
regress bankcds5dw_sen exp_all giips_loc, cluster(location)

//Regression 5
regress bankcds5dw_sen giips_location exp_giips exp_nongiipsemu exp_nonemu, cluster(location)

use "country_enlargement.dta", clear
//Regression 6
regress sovcds5dw exp_all giips_location

//Regression 7
regress sovcds5dw giips_location exp_giips exp_nongiipsemu exp_nonemu







//Figure 1
use "figures.dta", clear

graph twoway (line excessreturn date if country=="GIIPS", lpattern(-) xline(40308, lcolor(black))) (line excessreturn date if country=="non-GIIPS"), name(er) xlabel(40266 40308 40350, valuelabel) legend(off) xtitle("")

graph twoway (line bankcds date if country=="GIIPS", lpattern(-) xline(40308, lcolor(black))) (line bankcds date if country=="non-GIIPS"), name(bcds) xlabel(40266 40308 40350, valuelabel) legend(off) xtitle("")

graph twoway (line sovcds date if country=="GIIPS", lpattern(-) xline(40308, lcolor(black))) (line sovcds date if country=="non-GIIPS"), name(scds) xlabel(40266 40308 40350, valuelabel) legend(lab(1 "GIIPS") lab(2 "non-GIIPS")) xtitle("")

gr combine er bcds scds, cols(1) ysize(8.5) xsize(7) iscale(*0.6)


//Figure 2
use "figures.dta", clear

graph twoway (line excessreturn date, lpattern(-) yaxis(1) xline(40308, lcolor(black))) (line bankcds date, lpattern(_) yaxis(2)) (line sovcds date, yaxis(2)) if country != "GIIPS" & country != "non-GIIPS",  subtitle(, ring(0) pos(11) nobexpand) by(country, cols(2) note("") iscale(*0.6)) ysize(8.5) xsize(7) legend(lab(1 "Cumulative excess returns (left axis)") lab(2 "Bank CDS spread (right axis)") lab(3 "Sovereign CDS spread (right axis)")) ytitle("") xtitle("") legend(size(vsmall)) xlabel(40266 40308 40350, valuelabel)




